/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 客户端首页头部统计 GET /api/Statistics/GetHeadSumInfo */
export async function getHeadSumInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetHeadSumInfoParams,
  options?: API.RequestConfig
) {
  return request<API.GetHeadSumInfo>('/api/Statistics/GetHeadSumInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 客户端首页柱状图 POST /api/Statistics/GetInsureInfoByMonth */
export async function getInsureInfoByMonth(
  body: API.GetInsureInfoByMonthInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsureInfoByMonth[]>('/api/Statistics/GetInsureInfoByMonth', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
